## audacity-dmo 3.7.7

=== modules/sharing/mod-cloud-audiocom/CMakeLists.txt ===
#[[
Upload and download of project files in the cloud
]]

set( TARGET mod-cloud-audiocom )

set( SOURCES
   menus/AudioComMenus.cpp

   ui/images/CloudImages.cpp
   ui/images/CloudImages.hpp

   ui/dialogs/AudioComDialogBase.cpp
   ui/dialogs/AudioComDialogBase.h
   ui/dialogs/AudioListDialog.cpp
   ui/dialogs/AudioListDialog.h
   ui/dialogs/CloudLocationDialog.cpp
   ui/dialogs/CloudLocationDialog.h
   ui/dialogs/CloudProjectPropertiesDialog.cpp
   ui/dialogs/CloudProjectPropertiesDialog.h
   ui/dialogs/ConnectionIssuesDialog.cpp
   ui/dialogs/ConnectionIssuesDialog.h
   ui/dialogs/LinkAccountDialog.cpp
   ui/dialogs/LinkAccountDialog.h
   ui/dialogs/LinkFailedDialog.cpp
   ui/dialogs/LinkFailedDialog.h
   ui/dialogs/LinkSucceededDialog.cpp
   ui/dialogs/LinkSucceededDialog.h
   ui/dialogs/LinkWithTokenDialog.cpp
   ui/dialogs/LinkWithTokenDialog.h
   ui/dialogs/LoginDialog.cpp
   ui/dialogs/LoginDialog.h
   ui/dialogs/NotCloudProjectDialog.cpp
   ui/dialogs/NotCloudProjectDialog.h
   ui/dialogs/ProjectLimitDialog.cpp
   ui/dialogs/ProjectLimitDialog.h
   ui/dialogs/ProjectsListDialog.cpp
   ui/dialogs/ProjectsListDialog.h
   ui/dialogs/ProjectVersionConflictDialog.cpp
   ui/dialogs/ProjectVersionConflictDialog.h
   ui/dialogs/ShareAudioDialog.cpp
   ui/dialogs/ShareAudioDialog.h
   ui/dialogs/SyncFailedDialog.cpp
   ui/dialogs/SyncFailedDialog.h
   ui/dialogs/SyncInBackroundDialog.cpp
   ui/dialogs/SyncInBackroundDialog.h
   ui/dialogs/SyncSucceededDialog.cpp
   ui/dialogs/SyncSucceededDialog.h
   ui/dialogs/UnsyncedProjectDialog.cpp
   ui/dialogs/UnsyncedProjectDialog.h
   ui/dialogs/UploadCanceledDialog.cpp
   ui/dialogs/UploadCanceledDialog.h
   ui/dialogs/WaitForActionDialog.cpp
   ui/dialogs/WaitForActionDialog.h

   ui/AudioComPrefsPanel.cpp
   ui/CloudSyncStatusField.cpp
   ui/CloudSyncStatusField.h
   ui/ProjectCloudUIExtension.cpp
   ui/ProjectCloudUIExtension.h
   ui/ShareAudioToolbar.cpp
   ui/ShareAudioToolbar.h
   ui/UserImage.cpp
   ui/UserImage.h
   ui/UserPanel.cpp
   ui/UserPanel.h

   AudioComModule.cpp
   AuthorizationHandler.cpp
   AuthorizationHandler.h
   CloudModuleSettings.cpp
   CloudModuleSettings.h
   CloudProjectFileIOExtensions.cpp
   CloudProjectFileIOExtensions.h
   CloudProjectMixdownUtils.cpp
   CloudProjectMixdownUtils.h
   CloudProjectOpenUtils.cpp
   CloudProjectOpenUtils.h
   CloudAudioOpenUtils.cpp
   CloudAudioOpenUtils.h
   CloudLoginHandler.cpp
   TaskExecutionHandler.cpp
)

if(${_OPT}has_url_schemes_support)
   list(APPEND SOURCES
      LinkUrlHandler.cpp
   )
endif()

set( LIBRARIES
   PRIVATE
      lib-cloud-audiocom-interface
)

set (EXTRA_CLUSTER_NODES "${LIBRARIES};lib-crypto" PARENT_SCOPE)

list(APPEND LIBRARIES
      lib-string-utils-interface
      lib-menus-interface
      lib-shuttlegui-interface
      lib-wx-wrappers-interface
      Audacity # Toolbars live here
)

audacity_module( ${TARGET} "${SOURCES}" "${LIBRARIES}" "" "" )

=== debian/changelog ===
audacity-dmo (1:3.7.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Dec 2025 00:19:26 +0100

=== debian/control ===
Source: audacity-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.audacityteam.org/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake (>= 3.15), gettext, uuid-dev,
 uuid-dev:native, libasound2-dev [linux-any], lv2-dev, libavcodec-dev,
 libgtk-3-dev, libgtk-3-dev:native, libavformat-dev, libavutil-dev, quilt,
 libexpat1-dev, libexpat1-dev:native, libopusfile-dev, libflac++-dev (>= 1.4.1~),
 libid3tag0-dev, cmake (>= 3.15), libjack-jackd2-dev, libmp3lame-dev,
 libmp3lame-dev:native, libogg-dev (>= 1.0.0), libmpg123-dev, libportsmf-dev,
 libsndfile1-dev (>= 1.0.0), libsndfile1-dev:native, liblilv-dev, libserd-dev,
 libsoundtouch-dev (>= 1.9.2~), libsoxr-dev (>= 0.0.5), libsoxr-dev:native,
 libtwolame-dev (>= 0.3.9), libvorbis-dev (>= 1.0.0-3), libwavpack-dev,
 vamp-plugin-sdk (>= 1:2.6-dmo3), libsuil-dev (>= 1:0.8.2~), libsqlite3-dev,
 nasm [any-amd64 any-i386], rapidjson-dev, portaudio19-dev, libvst3sdk-dev,
 portaudio19-dev:native, libportmidi-dev (>= 2:2.0.4~), libportmidi-dev:native,
 libsbsms-dev (>= 2.2.0~), libwxgtk-media3.2-dev,  zlib1g-dev, zlib1g-dev:native,

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}), libavcodec61 (>= 10:7.0) | libavcodec62 (>= 10:8.0),
 libavformat61 (>= 10:7.0) | libavformat62 (>= 10:8.0),
 libavutil59 (>= 10:7.0) | libavutil60 (>= 10:8.0), ${misc:Depends}, ${shlibs:Depends},
Suggests: ladspa-plugin,
Conflicts: blop,
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows. 
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends},
Recommends: audacity,
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows. 
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 This package contains the architecture-independent data files.
